Jump to content

Template:CreatureInfobox/styles.css: Difference between revisions

From Creature Breeder Wiki
No edit summary
No edit summary
 
(7 intermediate revisions by the same user not shown)
Line 35: Line 35:
   margin: auto;
   margin: auto;
   text-align: center;
   text-align: center;
  background-color: #E5E5E5;
  color: #000;
}
@media screen {
html.skin-theme-clientpref-night .creature-imgs {
      background-color: #4F4F4F;
      color: #fff;
  }
}
}


Line 41: Line 50:
   width: auto;
   width: auto;
   margin: auto;
   margin: auto;
}
.creature-imgs input[type="radio"] {
  position: absolute;
  opacity: 0;
}
}


Line 56: Line 60:
.ci-tab {
.ci-tab {
   display: inline-block;
   display: inline-block;
   padding: 5px 8px;
   padding: 5px 8px 0;
   background-color: #BFBFBF;
   background-color: #BFBFBF;
   color: #000;
   color: #000;
Line 72: Line 76:
     border: 1px solid #ccc;
     border: 1px solid #ccc;
   }
   }
}
.ci-tab-bar {
  margin: 5px auto;
  padding: 5px;
}
}


Line 85: Line 94:


.ci-tab-active {
.ci-tab-active {
   border: 5px solid #702963;
   border-color: #702963;
}
}


Line 96: Line 105:
}
}


#female-toggle:checked ~ .creature-ib-fem-img {
.creature-info {
   display: block;
  width: 98%;
  margin: auto;
  box-sizing: border-box;
   padding: 4px;
}
}


#female-toggle:checked ~ .creature-ib-male-img {
.ci-trait {
   display: none;
  background-color: #E5E5E5;
   color: #000;
}
}


#male-toggle:checked ~ .creature-ib-fem-img {
@media screen {
  display: none;
html.skin-theme-clientpref-night .ci-trait {
}
      background-color: #4F4F4F;
 
      color: #fff;
#male-toggle:checked ~ .creature-ib-male-img {
   }
   display: block;
}
}

Latest revision as of 18:29, 18 April 2026

.creature-infobox {
  width: 20em;
  float: right;
  box-sizing: border-box;
  border: solid 2px #000;
  margin: 0 1em 0 0;
  background-color: #D3D3D3;
  color: #000;
}

@media screen {
	html.skin-theme-clientpref-night .creature-infobox {
      border: solid 2px #fff;
      background-color: #414141;
      color: #fff;
    }
}

.creature-name-hd {
  font-size: 1.2em;
  font-weight: bold;
  text-align: center;
  background-color: #B1B1B1;
  color: #000;
}

@media screen {
	html.skin-theme-clientpref-night .creature-name-hd {
      background-color: #232323;
      color: #fff;
    }
}

.creature-imgs {
  margin: auto;
  text-align: center;
  background-color: #E5E5E5;
  color: #000;
}

@media screen {
	html.skin-theme-clientpref-night .creature-imgs {
      background-color: #4F4F4F;
      color: #fff;
  }
}

.creature-imgs img {
  max-height: 15em;
  width: auto;
  margin: auto;
}

@media screen {
	html.skin-theme-clientpref-night .gender-input {
      border: 1px solid #fff;
    }
}

.ci-tab {
  display: inline-block;
  padding: 5px 8px 0;
  background-color: #BFBFBF;
  color: #000;
  border: 1px solid #ccc;
  cursor: pointer;
  border-radius: 4px;
  box-sizing: border-box;
  height: 2em;
}

@media screen {
	html.skin-theme-clientpref-night .gender-input label {
    background-color: #575757;
    color: #fff;
    border: 1px solid #ccc;
  }
}

.ci-tab-bar {
  margin: 5px auto;
  padding: 5px;
}

.ci-fem-tab {
  background-color: #C86CBC;
  color: #fff;
}

.ci-male-tab {
  background-color: #598ADB;
  color: #fff;
}

.ci-tab-active {
  border-color: #702963;
}

.creature-ib-fem-img {
  display: none;
}

.creature-ib-male-img {
  display: none;
}

.creature-info {
  width: 98%;
  margin: auto;
  box-sizing: border-box;
  padding: 4px;
}

.ci-trait {
  background-color: #E5E5E5;
  color: #000;
}

@media screen {
	html.skin-theme-clientpref-night .ci-trait {
      background-color: #4F4F4F;
      color: #fff;
  }
}